app_friends/urls.py
from django.conf.urls import url
from .views import index, add_contact, remove_contact

#url for app
urlpatterns = [
    url(r'^$', index, name='index'),
    url(r'^add_contact', add_contact, name='add_contact'),
    url(r'^remove_contact', remove_contact, name='remove_contact'),
]

app_profile/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
	url(r'^$', index, name	='index'),
	]

app_stats/urls.py
from django.conf.urls import url
from .views import index

urlpatterns = [
    url(r'^$', index, name='index'),
    ]

app_status/urls.py
from django.conf.urls import url
from .views import index, post_status;

urlpatterns = [
	url(r"^$", index, name="index"),
	url(r"^post-status", post_status, name="post-status"),
]

linginKUY/urls.py
from django.conf.urls import url, include	
from django.contrib import admin
from django.views.generic import RedirectView
import app_status.urls as app_status
import app_friends.urls as app_friends
from django.views.generic.base import RedirectView
import app_profile.urls as app_profile
import app_stats.urls as app_stats
urlpatterns = [
    url(r"^admin/", admin.site.urls),
    url(r"^app-status/", include(app_status, namespace="app-status")),
    url(r'^app-friends/', include(app_friends,namespace='app-friends')),
    url(r'^app-profile/', include(app_profile, namespace='app-profile')),
    url(r'^app-stats/', include(app_stats, namespace='app-stats')),
    url(r"^$", RedirectView.as_view(url="app-status/", permanent="true"), name="index"),
]

app_friends/models.py
from django.db import models

# Create your models here.
class Contacts(models.Model):
    name = models.CharField(max_length=27)
    heroku = models.URLField(max_length=100)
    created_date = models.DateTimeField(auto_now_add=True)

app_profile/models.py
from django.db import models

# Create your models here.
class Profile(models.Model):
	name = models.TextField()
	birthdate = models.TextField()
	gender = models.TextField()
	expertise = models.TextField()
	description = models.TextField()
	email = models.TextField()

app_stats/models.py
from django.db import models

# Create your models here.

app_status/models.py
from django.db import models

# Create your models here.
class Status(models.Model):
	author = models.CharField(max_length=50)
	content = models.CharField(max_length=150)
	posted_date = models.DateTimeField(auto_now_add=True)

app_friends/forms.py
from django import forms

class Contacts_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi input ini',
        'invalid': 'Isi input dengan url',
    }
    name_attrs = {
        'type' : 'text',
        'class': 'form-control',
        'placeholder' : 'Fill in your name...',
    }
    heroku_attrs = {
        'type' : 'URL',
        'class': 'form-control',
        'placeholder' : 'Fill in your heroku url...'
    }
    
    name = forms.CharField(label='Name', required=True, max_length=27, widget=forms.TextInput(attrs=name_attrs))
    heroku = forms.URLField(required=True, widget=forms.URLInput(attrs=heroku_attrs))

app_status/forms.py
from django import forms

class Status_Form(forms.Form):
	error_messages = {
		'required': 'Status kamu tidak boleh kosong!',
	}
	content_attrs = {
		'type': 'text',
		'cols': 75,
		'rows': 2,
		'class': 'status-content-input',
		'placeholder':'Apa yang sedang kamu rasakan?'
	}

	content = forms.CharField(label='', required=True, max_length=150, widget=forms.Textarea(attrs=content_attrs))
	

app_friends/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Contacts_Form
from .models import Contacts

# Create your views here.

response = {}
def index(request):    
    response['author'] = "Agas Yanpratama"
    contact = Contacts.objects.all()
    response['contact'] = contact
    html = 'friends/friends.html'
    response['contact_form'] = Contacts_Form
    return render(request, html, response)

def add_contact(request):
    form = Contacts_Form(request.POST or None)
    if (request.method == 'POST' and form.is_valid()):
        response['name'] = request.POST['name']
        response['heroku'] = request.POST['heroku']
        contact = Contacts(name=response['name'],heroku=response['heroku'])
        contact.save()
        return HttpResponseRedirect('/app-friends/')
    else :
        return HttpResponseRedirect('/app-friends/')

def remove_contact(request):
    try:
        idObj = request.POST['flag']
        Contacts.objects.filter(id=idObj).delete()
    except ValueError or KeyError:
        pass
    return HttpResponseRedirect('/app-friends/')

app_profile/views.py
from django.shortcuts import render
from .models import Profile
# Create your views here.
user_name = 'Hepzibah Smith'
birth_date = '01 Jan'
user_gender = 'Female'
user_expertise = 'Marketing | Collector | Public Speaking'
user_description = 'Antique Expert. Experience as maketer for 10 years'
user_email = 'hello@smith.com'

def index(request):
	profile = Profile(name= user_name, birthdate=birth_date, gender=user_gender, expertise= user_expertise, description=user_description, email=user_email)
	response= {'name': profile.name, 'birthyear':profile.birthdate, 'gender': profile.gender, 'expertise': profile.expertise, 'description':profile.description, 'email': profile.email}
	return render(request, 'profile.html', response)

app_stats/views.py
from django.shortcuts import render

# Create your views here.
response = {}
def index(request):
	response['name'] = 'Hepzibah Smith'
	response['totalFriends'] = '120 people'
	response['feed'] = '23 post'
	response['lastestPost'] = 'What a wonderful day!\nHave a nice day for everyone!'
	return render(request, 'stats.html', response)

app_status/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .forms import Status_Form
from .models import Status
from app_profile.views import user_name as user_name

#Todo: query user_name to database
#Reason: profile database not yet implemented
response = {}

def index(request):
	html = "status.html"
	response["author"] = "Ahmad Hasan Siregar"
	response["statuses"] = Status.objects.all().order_by("-posted_date")
	response["status_form"] = Status_Form
	
	return render(request, html, response)

def post_status(request):
	form = Status_Form(request.POST or None)
	if (request.method == "POST" and form.is_valid()):
		status = Status(author=user_name, content=request.POST["content"])
		status.save()

	return HttpResponseRedirect('/')

app_friends/templates/friends/friends.html
{% extends "friends/layout/base.html" %}
{% block content %}
<section name="contact-add" id="contact-add">
    <div class = "container">
    <h2>Add Friends</h2>
    <form id="form" method="POST" action="{% url 'app-friends:add_contact' %}">
        {% csrf_token %}
        {{ contact_form }}
        <br/>
        <input id="submit" type="submit" class="btn btn-lg btn-block btn-info" value="Submit">
        </form>
    </div>
</section>
<section name = "my-contact" id="my-contact">
        <div class="container">
            <h1>List Friends</h1>
            <div class="flex">
                {% if contact %}
                    {% for i in contact %}
                    <div class="flex-item">
                        <div class="all-contact">
                            <div class="all-contact-name">
                                {{i.name}}
                            </div>
                            <div class="all-contact-pic">
                                <img src="http://www.rutlandherald.com/wp-content/uploads/2017/03/default-user.png" width="150px">
                            </div>
                            <div class="all-contact-heroku">
                                <a href="{{i.heroku}}"><center>{{i.heroku}}</center></a>
                            </div>
                            <div class="all-contact-date-added">
                                Added {{i.created_date}}
                            </div>
                            <form id="form-{{i.id}}" method="post" action="{% url 'app-friends:remove_contact' %}">
                                {% csrf_token %}
                                <input type="hidden" name="flag" value="{{i.id}}"/>
                                <input id = "submit{{i.id}}" id="delete-{{i.id}}" type="submit" data-id="{{i.id}}" value="Delete" class="all-contact-delete">
                            </form>
                        </div>
                    </div>
                    {% endfor %}
                {% else %}
                <div class="alert alert-danger text-center">
                    <strong>Oops!</strong> Tidak ada data Data di dalam Kontak.
                 </div>
                {% endif %}
            </div>
        </div>
</section>
{% endblock %}
<!-->
<div style="overflow-x:auto;">
<table class="table">
    <thead><center>
        <th><center>Nama</center></th>
        <th><center>Heroku URL</center></th>
        <th><center>Added</center></th>
        <th><center>Delete Contact</center></th>
    </thead>
    {% for i in contact %}
    <tr>
        <td><center>{{i.name}}</center></td>
        <td><a href="{{i.heroku}}"><center>{{i.heroku}}</center></a></td>
        <td><center><i>Added {{i.created_date}}</i></center></td>
        <td><center>
            <form id="form-{{i.id}}" method="post" action="{% url 'app-friends:remove_contact' %}">
            {% csrf_token %}
            <input type="hidden" name="flag" value="{{i.id}}"/>
            <input id = "submit{{i.id}}" id="delete-{{i.id}}" type="submit" data-id="{{i.id}}" value="Delete" class="contact-list-delete">
            </form>
            </center>
        </td>
    </tr>
    {% endfor %}
</table>
</div>
<-->

app_friends/templates/friends/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Tugas 1 PPW">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet"> 
    <link rel="shortcut icon" href="http://aux.iconpedia.net/uploads/1755550516208937900.png" />    
    <title>LinginKuy_Friends</title>
    <link rel="stylesheet" type="text/css" href="{% static 'friends.css' %}" />
    <style>
    body{
        background: #58abe2; /* Old browsers */
        background: -moz-linear-gradient(top, #58abe2 0%, #bddaed 73%, #dbedf9 83%, #ebf1f6 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(top, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to bottom, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#58abe2', endColorstr='#ebf1f6',GradientType=0 ); /* IE6-9 */
        background-repeat: no-repeat;
        background-size: cover;
    }
    </style>
</head>
<body>
    <div class="background">
        <header>
            <!-- TODO nama apps kalian -->
            {% include "friends/partials/header.html" %}
        </header>
        <content>
            <div class="container">
                {% block content %}
                    <!-- content goes here -->
                {% endblock %}
            </div>

        </content>
        <footer>
            <!-- TODO nama apps kalian -->
            {% block footer %}
            {% include "friends/partials/footer.html" %}
            {% endblock %}
        </footer>

        <!-- Jquery n Bootstrap Script -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </div>
</body>
</html>

app_profile/templates/profile.html
<!DOCTYPE html>
{% extends "profile/layout/base.html" %}
{% block content %}

<style>
    .grow{
      transition: all .3s ease-in-out;
    }
    .grow:hover{
      transform: scale(1.1);
    }
  
</style>



<h3 style="text-align: left; font-size:15px ; margin-top:60px; margin-left:30px">Profile</h3>
<br>
</br>
<img class= "grow center-block" src="http://gazettereview.com/wp-content/uploads/2016/03/facebook-avatar.jpg" style="width:120px;height:120px;border-radius:51%;margin-top:40px">
<h2 style="text-align: center; font-size:25px; margin-top: 15px">{{name}} </h2>
<table style="width:50%; margin-top: 5px; margin:0px auto; margin-left:350px" align="center">
  	<tr>
    	<th height="40">Birthday</th>
    	<td height="40">{{birthyear}}</td>
  	</tr>
  	<tr>
    	<th height="40">Gender</th>
   		<td height="40">{{gender}}</td>
  	</tr>
  	<tr>
    	<th height="40">Expertise</th>
   		 <td height="40"><b>{{expertise}}<b></td>
  	</tr>
  	<tr>
    	<th height="40">Description</th>
   		<td height="40">{{description}}</td>
  	</tr>
  	<tr>
    	<th height="40">Email</th>
   		<td height="40">{{email}}</td>
  	</tr>
</table>

<br>
</br>

<br>
</br>

<br>
</br>


{% endblock %}

app_profile/templates/profile/layout/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="description" content="Tugas 1 PPW">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">    

    <title> 
        {% block title %}Ling-inKUY{% endblock %}
    </title>
    <style>
    body{
        background: #58abe2; /* Old browsers */
        background: -moz-linear-gradient(top, #58abe2 0%, #bddaed 73%, #dbedf9 83%, #ebf1f6 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(top, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to bottom, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#58abe2', endColorstr='#ebf1f6',GradientType=0 ); /* IE6-9 */
    }
    </style>
</head>
<body>
    <div class="background">
        <header>
            <!-- TODO nama apps kalian -->
            {% include "profile/partials/header.html" %}
        </header>
        <content>
            <div class="container">
                {% block content %}
                    <!-- content goes here -->
                {% endblock %}
            </div>

        </content>
        <footer>
            <!-- TODO nama apps kalian -->
            {% block footer %}
            {% include "profile/partials/footer.html" %}
            {% endblock %}
        </footer>

        <!-- Jquery n Bootstrap Script -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </div>
</body>
</html>

app_profile/templates/profile/partials/footer.html
</br>
<center><p><font color = "black">Made with love by {{author}} &copy; 2017</font></p></center>

app_profile/templates/profile/partials/header.html
<nav class="navbar navbar-light navbar-fixed-top" style="background-color: #e3f2fd;">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a style ="font:arial;" class="navbar-brand" href=""><b>LING</b><img style="float:right; width:42px; height:42px; margin-top:-12px" src= http://findicons.com/files/icons/2844/creative_blot_icons_set/512/social_media_icons_blot_icons_set_512x512_0010_linkedin.png></a>
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <ul class="nav navbar-nav navbar-right">
          <!-- LINK,belum kelar integrasi nunggu semua pada kelar -->
          <li><a href="/app-stats/"> Stats <img style="float:right; width:30px; height:30px;margin-top:-7px; margin-right:-15px" src=http://78.media.tumblr.com/a4e2ae065b07e6eed359403bf3d0c51d/tumblr_oxjh5vYvE71qeccoqo3_250.png></a></li>
          <li><a href="/app-friends/"> Friends <img style="float:right; width:30px; height:30px; margin-top:-7px; margin-right:-15px" src= http://78.media.tumblr.com/744e6b11293369c1555fbb4c40ce7c04/tumblr_oxjh5vYvE71qeccoqo2_250.png></a></li>
          <li><a href="/app-profile/"> Profile <img style="float:right; width:30px; height:30px; margin-top:-7px; margin-right:-15px" src= https://78.media.tumblr.com/f7788773c358461ee5277a64276ee769/tumblr_oxjhr2UVF51qeccoqo1_250.png></a></li>
          <li><a href="/app-status/"> Status <img style="float:right; width:30px; height:30px; margin-top:-7px; margin-right:-15px" src=http://78.media.tumblr.com/4634d001471236475b00efe3c065b091/tumblr_oxjh5vYvE71qeccoqo1_250.png></a></li>
        </ul>
      </div><!--/.nav-collapse -->
    </div>
  </nav>
  

app_stats/templates/layout/base.html
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Tugas 1 PPW">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{% static 'css/stats.css' %}" />
    <title> 
        {% block title %}Ling-inKUY{% endblock %}
    </title>
    <style>
    body{
    }
    </style>
</head>
<body>
    <div class="background">
        <header>
            <!-- TODO nama apps kalian -->
            {% include "partials/navbar.html" %}
        </header>
        <content>
            <div class="container">
                {% block content %}
                    <!-- content goes here -->
                {% endblock %}
            </div>

        </content>
        <footer>
            <!-- TODO nama apps kalian -->
            {% block footer %}
            {% include "partials/footer.html" %}
            {% endblock %}
        </footer>

        <!-- Jquery n Bootstrap Script -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </div>
</body>
</html>

app_stats/templates/partials/footer.html
<footer>
	<center><p><font color = "black">Made with love by {{author}} &copy; 2017</font></p></center>
</footer>

app_stats/templates/partials/navbar.html
<nav class="navbar navbar-light navbar-default navbar-fixed-top" style="background-color: #e3f2fd;">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a style ="font:arial;" class="navbar-brand" href=""><b>LING</b><img style="float:right; width:42px; height:42px; margin-top:-12px" src= http://findicons.com/files/icons/2844/creative_blot_icons_set/512/social_media_icons_blot_icons_set_512x512_0010_linkedin.png></a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav navbar-right">
        <!-- LINK,belum kelar integrasi nunggu semua pada kelar -->
        <li><a href="/app-stats/"> Stats &nbsp<img style="float:right; width:30px; height:30px;margin-top:-7px; margin-right:-15px" src=http://78.media.tumblr.com/a4e2ae065b07e6eed359403bf3d0c51d/tumblr_oxjh5vYvE71qeccoqo3_250.png></a></li>
        <li><a href="/app-friends/"> Friends &nbsp<img style="float:right; width:30px; height:30px; margin-top:-7px; margin-right:-15px" src= http://78.media.tumblr.com/744e6b11293369c1555fbb4c40ce7c04/tumblr_oxjh5vYvE71qeccoqo2_250.png></a></li>
        <li><a href="/app-profile/"> Profile &nbsp<img style="float:right; width:30px; height:30px; margin-top:-7px; margin-right:-15px" src= https://78.media.tumblr.com/f7788773c358461ee5277a64276ee769/tumblr_oxjhr2UVF51qeccoqo1_250.png></a></li>
        <li><a href="/app-status/"> Status &nbsp<img style="float:right; width:30px; height:30px; margin-top:-7px; margin-right:-15px" src=http://78.media.tumblr.com/4634d001471236475b00efe3c065b091/tumblr_oxjh5vYvE71qeccoqo1_250.png></a></li>
      </ul>
    </div><!--/.nav-collapse -->
  </div>
</nav>

app_stats/templates/stats.html
<!DOCTYPE html>
{% extends "layout/base.html" %}
{% block content %}
<h2 class="app-name">Statistic</h2>
<div class="container contents">
  <img class= "grow center-block" src="http://gazettereview.com/wp-content/uploads/2016/03/facebook-avatar.jpg" style="width:120px;height:120px;border-radius:100%;margin-top:40px">
  <h2 class = "text-center">{{name}} </h2>
  <section id="friends-feed">
    <div class="row">
      <div class="col-xs-6 text-center">
        <h2>Friends {{totalFriends}}</h2>
      </div>
      <div class="col-xs-6 text-center">
        <h2>Feed {{feed}}</h2>
      </div>
    </div>
  </section>
  <section id="lastestPost">
    <h2>Lastest Post</h2>
    <div class="row">
      <div class="col-xs-1">
       <img src="http://gazettereview.com/wp-content/uploads/2016/03/facebook-avatar.jpg" style="width:60px;height:60px;border-radius:100%;margin-top:40px">
      </div>
      <div class="col-xs-6">
        <br>
        <h2>{{name}}</h2>
      </div>
    </div>
    <h2>{{lastestPost}}</h2>
  </section>
</div>
{% endblock %}

app_status/templates/empty.html
<h1>LUL!<h1>

app_status/templates/layout/base.html
{% load staticfiles %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Tugas 1 PPW">
    <meta name="author" content="{{author}}">
    <!-- bootstrap csss -->
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet"> 
    <link rel="shortcut icon" href="http://aux.iconpedia.net/uploads/1755550516208937900.png" />    
    <title>LinginKuy_Status</title>
    <link rel="stylesheet" type="text/css" href="{% static 'status.css' %}" />
    <style>
    body{
        background: #58abe2; /* Old browsers */
        background: -moz-linear-gradient(top, #58abe2 0%, #bddaed 73%, #dbedf9 83%, #ebf1f6 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(top, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to bottom, #58abe2 0%,#bddaed 73%,#dbedf9 83%,#ebf1f6 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#58abe2', endColorstr='#ebf1f6',GradientType=0 ); /* IE6-9 */
        background-repeat: no-repeat;
        background-size: cover;
    }
    </style>
</head>
<body>
    <div class="background">
        <header>
            {% include "partials/header.html" %}
        </header>
        <content>
            <div class="container">
                {% block content %}
                    <!-- content goes here -->
                {% endblock %}
            </div>

        </content>
        <footer>
            {% block footer %}
            {% include "partials/footer.html" %}
            {% endblock %}
        </footer>

        <!-- Jquery n Bootstrap Script -->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    </div>
</body>
</html>

app_status/templates/status.html
{% extends "layout/base.html" %}

{% block content %}
<section name="post-status" id="post-status">
    <div class = "container">
    <h2>Update Status</h2>
    <form id="form" method="POST" action="{% url 'app-status:post-status' %}">
        {% csrf_token %}
        {{ status_form }}
        <br/>
        <input id="submit" type="submit" class="btn btn-info" value="Post">
        </form>
    </div>
</section>

<section name="my-status" id="my-status">
    <div class="container">
        <h1>Posted Status</h1>
        <div class="flex">
            {% if statuses %}
            {% for status in statuses %}
            <div class="flex-item">
                <div class="all-status">
                    <div class="all-status-name">
                        {{status.author}}
                    </div>
                    <div class="all-status-content">
                        <center>{{status.content}}</center>
                    </div>
                    <div class="all-status-date-added">
                        Posted {{status.posted_date}}
                    </div>
                </div>
            </div>
            {% endfor %}
            {% else %}
            <div class="alert alert-warning text-center">
                <strong>Oops!</strong> Belum ada status yang terposting saat ini.
            </div>
            {% endif %}
            </div>
        </div>
    </div>
</section>

{% endblock %} 